// Creado: Félix Ricardo Oliva Alonso, 29/09/2016. Función para  validar login.
//**********************************************
//                   Login
//**********************************************
$(document).ready(function(){
  $(function(){
    $("#btn_acceder").on("click",function(){
      $("#form_login").validate({
        rules:
        {
          usuario:
          {required: true,
            maxlength: 50},

          password:
          {required: true,
            maxlength: 32},

          usuario_s:
          {required: true}
        },
        messages:{
          usuario:{
            required: 'Ingrese su nombre de usuario',
            minlength: 'La longitud mínima es de 8 caracteres',
          },

          password:{
            required: 'Ingrese su contraseña',
            minlength: 'La longitud mínima es de 8 caracteres',
          }
        },
        highlight: function(element) {
            $(element).css( "border-color", "#dd4939" );
            $(element).css( "background-color",  "rgba(221, 73, 57, 0.05)" );

        },
        unhighlight: function(element) {
            $(element).css( "border-color", "rgb(172, 172, 172)" );
            $(element).css( "background-color", "#ffffff" );
        },
        errorElement: "div",
        // submitHandler: function (form) {
        //     alert('Formato correcto !!');
        //     return false;
        // }
      });
    });
  });

  //**********************************************
  //                 registro
  //**********************************************
  $(function(){
    $("#btn_validar_reg").on("click",function(){
      $("#registrar").validate({
        rules:
        {
          usuario_reg:
          {required: true,
          maxlength: 50},

          clave_reg:
          {required: true,
          maxlength: 32}
        },
        highlight: function(element) {
          $(element).css( "border-color", "#dd4939" );
          $(element).css( "background-color",  "rgba(221, 73, 57, 0.05)" );
        },
        unhighlight: function(element) {
          $(element).css( "border-color", "rgb(172, 172, 172)" );
          $(element).css( "background-color", "#ffffff" );
        },
        errorElement: "div",
        // submitHandler: function (form) {
        //     alert('Formato correcto !!');
        //     return false;
        // }
      });
    });
  });
});
